/* 
   Archivo  para realizar el enlace (linking) del programa COM.
   El linker toma el codigo de objeto y organiza el archivo ejecutable
   en formato COM. Para ello, utiliza este archivo de configuracion, en el cual
   se especifica el formato resultante.   
       
*/

ENTRY(start); /* Punto de entrada: etiqueta start en program.S */
OUTPUT_FORMAT(binary); /* Formato del archivo de salida: binario */
phys = 0x100; /* Direccion relativa al inicio del programa*/

/* Organizacion del archivo binario de salida */
SECTIONS { 
   . = phys;
   .text phys : 
   AT(phys) { /* Codigo */
     text_start = .;
     /* Incluir la seccion de texto de todos los archivos de entrada */
     *(.text)		
     /*. = ALIGN(4096);*/	/* Alinear a 4096 bytes*/
     text_end = .;  
   }=0x90909090 
   .data : 
   	AT(phys + (data_start - text_start)) {
       data_start = .; 
	   *(.data)	   
	   /*. = ALIGN(4096);*/ /* Alinear a 4096 bytes*/
	   data_end = .;	   	  
   }=0x00000000      
   
  /DISCARD/ : { 	  
	   *(.rodata)
	   *(.bss)
   }
       
   /* Si se desea hacer que el programa ocupe exactamente 64KB - 256 B
    (maximo tamao de un archivo .COM), quitar los comentarios a la siguiente 
    seccion: */
   
   /*
   program_end = phys + (. - text_start);
   .cero : {   
   . = 0xFFFF - ( program_end);
   	BYTE(0x00)
   }
   */     
}


